Summary: Enhanced bourne shell
Name: zsh
Version: 3.0.5
Release: 5
Copyright: GPL
Group: Shells
Source0: ftp://ftp.math.gatech.edu/pub/zsh/zsh-3.0.5.tar.gz
Source1: zlogin.rhs
Source2: zlogout.rhs
Source3: zprofile.rhs
Source4: zshrc.rhs
Source5: zshenv.rhs
Buildroot: /var/tmp/zsh-root
Prereq: fileutils grep /sbin/install-info
Summary(de): Enhanced Bourne Shell
Summary(fr): Bourne shell amlior
Summary(tr): Gelimi bir BASH srm

%changelog
* Sat Jun 06 1998 Prospector System <bugs@redhat.com>

- translations modified for de

* Sat Jun  6 1998 Jeff Johnson <jbj@redhat.com>
- Eliminate incorrect info page removal.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build
- moved profile.d handling from zshrc to zprofile

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- Upgraded to 3.0.5
- Install-info handling

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 3.0.2
- Added 'reasonable' default startup files in /etc

%description
zsh is an enhanced version of the bourne shell with these features:
	- very close to ksh/sh grammar, with csh additions
	- most features of ksh, bash, and tcsh
	- 75 builtins, 89 options, 154 key bindings
	- short for loops, ex: for i (*.c) echo $i
	- select
	- shell functions
...and many more

%prep
rm -rf $RPM_BUILD_ROOT

%setup
#%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS"  ./configure --prefix=/usr --bindir=/bin --enable-etcdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc

make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/bin install
strip $RPM_BUILD_ROOT/bin/zsh
chmod 755 $RPM_BUILD_ROOT/bin/zsh
gzip -9nf $RPM_BUILD_ROOT/usr/info/zsh*
cp Etc/{BUGS,FAQ,CONTRIBUTORS,FEATURES,NEWS} .

for I in zshrc zlogin zlogout zshenv zprofile; do
	cp $RPM_SOURCE_DIR/${I}.rhs $RPM_BUILD_ROOT/etc/$I
done

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/zsh" > /etc/shells
else
	if ! grep '^/bin/zsh$' /etc/shells > /dev/null; then
		echo "/bin/zsh" >> /etc/shells
	fi
fi
/sbin/install-info /usr/info/zsh.info.gz /usr/info/dir \
	--entry="* zsh: (zsh).			An enhanced bourne shell."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/zsh.info.gz /usr/info/dir \
	--entry="* zsh: (zsh).			An enhanced bourne shell."
fi

%postun
if [ -f /etc/shells ]; then
	grep -v '^/bin/zsh$' /etc/shells > /tmp/.zshrpm$$
	cp -f /tmp/.zshrpm$$ /etc/shells
	rm -f /tmp/.zshrpm$$
	chmod 644 /etc/shells
fi

%files
%doc META-FAQ README NEWS ChangeLog Etc Util Functions CONTRIBUTORS BUGS FAQ
%doc FEATURES
/bin/zsh
/usr/man/man1/zsh*.1
/usr/info/zsh*gz
%config /etc/*

%clean
rm -rf $RPM_BUILD_ROOT
